<script>

	let pseudoDejaPris = true
	
	let roles = [
		{ id: 'cinephile', text: `Cinéphile` },
		{ id: 'pro', text: `Professionnel` }
	];

</script>

<body>
	<div class="main_container">
		<form method="post" enctype="multipart/form-data">
			<div class="content">
				<div class="text_container">
					<h1>Nouveau compte</h1>
				</div>

				<div class="row_container">
					<div class="input_container">
						<label for="nom">Nom :</label>
						<input id="nom" type="text" name="nom" required />
						<span>
							{#if true}
								{#each ["nom trop long"] as error}
									{error}
								{/each}
							{/if}
						</span>
					</div>

					<div class="input_container">
						<label for="prenom">Prénom :</label>
						<input id="prenom" type="text" name="prenom" required />
						
					</div>
				</div>

				<div class="row_container">
					<div class="input_container">
						<label for="pseudo">Pseudo :</label>

						<input id="pseudo" type="text" name="pseudo" required />
						<span>
							{#if pseudoDejaPris}
								Pseudo déjà pris
							{/if}
						</span>
						
					</div>

					<div class="input_container">
						<label for="naissance">Date de naissance :</label>

						<input
							id="naissance"
							type="date"
							name="naissance"
							required
						/>
					</div>
				</div>
				<div class="row_container">
					<div class="input_container">
						<label for="password">Mot de passe :</label>

						<input
							id="password"
							type="password"
							name="password"
							min="8"
						/>
					</div>

					<div class="input_container">
						<label for="password_confirm">Confirmer le mot de passe :</label>

						<input
							id="password_confirm"
							type="password"
							name="password_confirm"
							min="8"
						/>
					</div>
				</div>

				<div class="row_container">
					<div class="input_container">
						<label for="mail">Adresse mail :</label>

						<input id="mail" type="email" name="mail" required />
						
					</div>
				</div>

				<div class="row_container">
					<div class="input_container">
						<label for="biographie">Biographie :</label>

						<textarea
							id="biographie"
							name="biographie"
							rows="8"
							cols="30"
							wrap="hard"
						/>
						
					</div>

					<div class="input_container">
						<label for="photo">Photo :</label>
						
						<input
							type="file"
							id="file"
							accept=".jpg, .jpeg, .png"
							name="file"
						/>

						<div id="image_display" />
					</div>
				</div>

				<div class="button_container">
					<button type="submit">Confirmer</button>
				</div>
			</div>
		</form>

		<div class="text_container">
			<p>Déjà un compte : <a href="/connexion_compte">Se connecter</a></p>
		</div>
	</div>
</body>

<style>

.content {
	width: 100%;
	max-width: var(--column-width);
	margin: var(--column-margin-top) auto 0 auto;
}

body {
	display: flex;
	flex-direction: column;
	align-items: center;

	color: #f5b81e;
	font-family: impact, sans-serif;
}

.main_container {
	display: flex;
	flex-direction: column;

	border: double;
	border-color: #f5b81e;

	border-radius: 20px;
	border-width: 15px;

	padding: 50px 30px;

	width: 130%;
	height: 100%;
}

.row_container {
	display: flex;
	flex-direction: row;
	justify-content: space-around;

	margin-bottom: 2%;
}

.input_container {
	display: flex;
	flex-direction: column;
	align-items: center;

	font-size: 150%;
}

input {
	border: none;
	border-bottom: 2px solid #f5b81e;

	color: #f5b81e;
	background-color: #193b36;

	width: 150%;
	height: 100%;

	font-size: 100%;
}

textarea {
	background-color: #193b36;
	border: 1px solid #f5b81e;
	color: #f5b81e;

	border-radius: 10px;

	font-size: 100%;

	padding: 10%;

	resize: none;
}

.text_container {
	display: flex;
	flex-direction: column;
	align-items: center;

	font-size: 30px;
}

#image_display {
	margin-top: 10px;

	width: 50%;
	height: 50px;

	background-color: black;
}

p {
	font-size: 15px;
	word-spacing: 0px;
}

a {
	color: #f5b81e;
	text-decoration: none;
}

a:hover {
	text-decoration: underline;
}

.button_container {
	display: flex;
	flex-direction: column;
	align-items: center;
	margin-top: 10px;
	margin-bottom: 10px;
}

button {
	font-size: 25px;
	border-radius: 15px;
	background-color: #f5b81e;
	border-color: none;
	box-shadow: 0 9px #181818;
}

button:hover {
	cursor: pointer;
}

button:active {
	box-shadow: 0 5px #666;
	transform: translateY(4px);
}
</style>
